## Apache Zeta Components Manual :: Docs For Class ezcWorkflowVariableHandler

### Workflow::ezcWorkflowVariableHandler

### Interface ezcWorkflowVariableHandler

Interface for variable handlers.

Source for this file: /Workflow/src/interfaces/variable_handler.php

Version: | //autogen//

### Method Summary

public void | `load( $execution , $variableName )` Load the variable $variableName that is handled by this handler.
public void | `save( $execution , $variableName , $value )` Save the variable $variableName that is handled by the variable handler with the value $value.

### Methods

#### load

void load( ezcWorkflowExecution $execution , string $variableName )

Load the variable $variableName that is handled by this handler.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$variableName` | string |

#### save

void save( ezcWorkflowExecution $execution , string $variableName , mixed $value )

Save the variable $variableName that is handled by the variable handler with the value $value.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$variableName` | string |
`$value` | mixed |

Documentation generated by phpDocumentor 1.4.3